###

#

Assignable< T > Struct Template Reference
Basic Concepts

Concept of copy assignment requirement. More...

`#include <basic.hpp>`

## Public Member Functions

void | constraints ()

## Detailed Description

template<typename T>
struct boost::gil::Assignable< T >

Concept of copy assignment requirement.

auto concept Assignable<typename T, typename U = T>
{
typename result_type;
result_type operator=(T&, U);
};
boost::gil::Assignable
Concept of copy assignment requirement.
Definition: basic.hpp:82

The documentation for this struct was generated from the following file:

- basic.hpp